be.ehealth.businessconnector.chapterIV.builders.impl

## Class GenericKmehrBuilder

- java.lang.Object
- - be.ehealth.businessconnector.chapterIV.builders.impl.AbstractKmehrBuilderImpl
  - - be.ehealth.businessconnector.chapterIV.builders.impl.GenericKmehrBuilder

- All Implemented Interfaces:
    KmehrBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class GenericKmehrBuilder
      extends AbstractKmehrBuilderImpl
      implements KmehrBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

  generic configurable KmehrBuilder. uses HcPartyBuilder from kmehr-business project. to use this builder, you should add the following properties:
  - a configuration for the transaction author config : see javadoc of `HcPartyUtil`.createAuthorHcParties(project name) , with 'chapterIV.transactionAuthor' as project name.
  - a configuration for the sender * config : see javadoc of `HcPartyUtil`.createAuthorHcParties(project name) , with 'chapterIV.sender' as project name.
  - the main author : configured with `HcPartyUtil.retrieveMainAuthorId()` and 'chapterIV' as project name ( see javadoc of that method for more info )
  Extends : `AbstractKmehrBuilderImpl`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericKmehrBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `List<HcpartyType>` | `generateHcPartiesForSender()`
    `List<HcpartyType>` | `generateHcPartiesForTransactionAuthor()`

    - ### Methods inherited from class be.ehealth.businessconnector.chapterIV.builders.impl.AbstractKmehrBuilderImpl

      `generateAuthor, generateHeader`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface be.ehealth.businessconnector.chapterIV.builders.KmehrBuilder

      `generateAuthor, generateHeader`

- - ### Constructor Detail

    - #### GenericKmehrBuilder

          public GenericKmehrBuilder()

  - ### Method Detail

    - #### generateHcPartiesForTransactionAuthor

          public List<HcpartyType> generateHcPartiesForTransactionAuthor()
                                                                  throws TechnicalConnectorException

      Specified by:
        `generateHcPartiesForTransactionAuthor` in class `AbstractKmehrBuilderImpl`
      Returns:
        the generated hcparty
      Throws:
        `TechnicalConnectorException`
      See Also:
        `be.ehealth.businessconnector.chapterIV.builders.impl.AbstractKmehrBuilderImpl#generateHcPartiesForAuthor()`

    - #### generateHcPartiesForSender

          public List<HcpartyType> generateHcPartiesForSender()
                                                       throws TechnicalConnectorException

      Specified by:
        `generateHcPartiesForSender` in class `AbstractKmehrBuilderImpl`
      Returns:
        the generated hcparty
      Throws:
        `TechnicalConnectorException`
      See Also:
        `AbstractKmehrBuilderImpl.generateHcPartiesForSender()`

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Connector Packaging PERSPHYSICIAN 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.